Bug 204634 - Wrong SELinux context prevents bluepin from working
Wrong SELinux context prevents bluepin from working
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-30 11:24 EDT by Radek Bíba
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-28 16:04:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Radek Bíba 2006-08-30 11:24:55 EDT
Description of problem:
SSIA.

Version-Release number of selected component (if applicable):
bluez-utils-2.25-4

How reproducible:
Always

Steps to Reproduce:
1. configure hcid.conf to use /usr/bin/bluepin
2. launch something that requires pairing
3. enter a pin on your phone
  
Actual results:
failure
log contains:
Aug 30 16:55:59 stinker hcid[3389]: pin_code_request (sba=SNIP, dba=SNIP)
Aug 30 16:55:59 stinker kernel: audit(1156949759.482:5): avc:  denied  { search
} for  pid=3404 comm="bluepin" name="gdm" dev=sda1 ino=4235674
scontext=user_u:system_r:bluetooth_helper_t:s0
tcontext=system_u:object_r:xserver_log_t:s0 tclass=dir
Aug 30 16:55:59 stinker hcid[3403]: PIN helper exited abnormally with code 256

The phone then said the PINs didn't match. When I disabled SELinux, everything
went OK - the dialog window popped up etc.

Expected results:
It should work even with SELinux in Enforcing mode.
Comment 1 Radek Bíba 2006-09-19 11:51:42 EDT
An selinux-policy bug, then?
BTW the xserver_log_t directory in question is /var/gdm.
Comment 2 Radek Bíba 2006-09-19 11:54:58 EDT
Changing ownership :)
Comment 3 Daniel Walsh 2006-09-19 12:00:44 EDT
Fixed in selinux-policy-2.3.14-4
Comment 4 Radek Bíba 2006-11-02 17:04:27 EST
Not sure how relevant this bug is when FC5 still has selinux-policy-2.3.7-2.fc5
and FC6 obsoletes bluez-pin in favor of bluez-gnome (which doesn't have this
issue, btw). NEXTRELEASE or WONTFIX, whatever...
Comment 5 Daniel Walsh 2007-03-28 16:04:09 EDT
Closing bugs

Note You need to log in before you can comment on or make changes to this bug.